import { AxiosInstance, AxiosRequestConfig, AxiosResponse } from 'axios';
import { Logger } from 'homebridge';
import { DingzLogger } from './dingzLogHelper';
/**
 * Implements AxiosDebug for classes
 */
export declare class AxiosDebugHelper {
    readonly instance: AxiosInstance;
    readonly logger: Logger | DingzLogger;
    private readonly isAbsoluteURL;
    private readonly buildURL;
    private readonly combineURLs;
    private requestUrl;
    /**
     *
     * @param instance AxiosInstance
     * @param logger Logger
     */
    constructor(instance: AxiosInstance, logger: Logger | DingzLogger);
    private getURL;
    addLogger(instance: AxiosInstance): AxiosRequestConfig | AxiosResponse | void;
    private request;
    private response;
    private error;
}
//# sourceMappingURL=axiosDebugHelper.d.ts.map