"use strict";
// Various Type Definitions for the dingz Accessory
// Based on the API definition
Object.defineProperty(exports, "__esModule", { value: true });
exports.Module = exports.ButtonAction = exports.DeviceTypes = void 0;
// Types
var DeviceTypes;
(function (DeviceTypes) {
    DeviceTypes[DeviceTypes["MYSTROM_SWITCH_CHV1"] = 101] = "MYSTROM_SWITCH_CHV1";
    DeviceTypes[DeviceTypes["MYSTROM_BULB"] = 102] = "MYSTROM_BULB";
    DeviceTypes[DeviceTypes["MYSTROM_BUTTON_PLUS"] = 103] = "MYSTROM_BUTTON_PLUS";
    DeviceTypes[DeviceTypes["MYSTROM_BUTTON"] = 104] = "MYSTROM_BUTTON";
    DeviceTypes[DeviceTypes["MYSTROM_LEDSTRIP"] = 105] = "MYSTROM_LEDSTRIP";
    DeviceTypes[DeviceTypes["MYSTROM_SWITCH_CHV2"] = 106] = "MYSTROM_SWITCH_CHV2";
    DeviceTypes[DeviceTypes["MYSTROM_SWITCH_EU"] = 107] = "MYSTROM_SWITCH_EU";
    DeviceTypes[DeviceTypes["DINGZ"] = 108] = "DINGZ";
    DeviceTypes[DeviceTypes["MYSTROM_PIR"] = 110] = "MYSTROM_PIR";
    DeviceTypes[DeviceTypes["MYSTROM_BUTTON_PLUS_2G"] = 118] = "MYSTROM_BUTTON_PLUS_2G";
    DeviceTypes[DeviceTypes["MYSTROM_SWITCH_ZERO"] = 120] = "MYSTROM_SWITCH_ZERO";
})(DeviceTypes = exports.DeviceTypes || (exports.DeviceTypes = {}));
var ButtonAction;
(function (ButtonAction) {
    ButtonAction["SINGLE_PRESS"] = "1";
    ButtonAction["DOUBLE_PRESS"] = "2";
    ButtonAction["LONG_PRESS"] = "3";
    ButtonAction["PIR_MOTION_START"] = "8";
    ButtonAction["PIR_MOTION_STOP"] = "9";
})(ButtonAction = exports.ButtonAction || (exports.ButtonAction = {}));
var Module;
(function (Module) {
    Module["BTN1"] = "1";
    Module["BTN2"] = "2";
    Module["BTN3"] = "3";
    Module["BTN4"] = "4";
    Module["PIR"] = "5";
    Module["INPUT"] = "6";
})(Module = exports.Module || (exports.Module = {}));
//# sourceMappingURL=commonTypes.js.map