import type { PlatformAccessory } from 'homebridge';
import { DingzDaHomebridgePlatform } from './platform';
import { DingzDaBaseAccessory } from './lib/dingzDaBaseAccessory';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class MyStromLightbulbAccessory extends DingzDaBaseAccessory {
    private readonly _platform;
    private readonly _accessory;
    private lightbulbService;
    private mystromDeviceInfo;
    private lightbulbState;
    constructor(_platform: DingzDaHomebridgePlatform, _accessory: PlatformAccessory);
    protected getDeviceStateUpdate(): Promise<void>;
    identify(): void;
    private setOn;
    private getOn;
    private setHue;
    private getHue;
    private setSaturation;
    private getSaturation;
    private setBrightness;
    private getBrightness;
    private setDeviceLightbulb;
    private getDeviceReport;
}
//# sourceMappingURL=myStromLightbulbAccessory.d.ts.map