import type { PlatformAccessory } from 'homebridge';
import { DingzDaHomebridgePlatform } from './platform';
import { DingzDaBaseAccessory } from './lib/dingzDaBaseAccessory';
/**
 * Switch Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 * TODO: Implement Switch Zero in this class
 */
export declare class MyStromSwitchAccessory extends DingzDaBaseAccessory {
    private readonly _platform;
    private readonly _accessory;
    private outletService;
    private temperatureService;
    private mystromDeviceInfo;
    private outletState;
    constructor(_platform: DingzDaHomebridgePlatform, _accessory: PlatformAccessory);
    identify(): void;
    protected getDeviceStateUpdate(): Promise<void>;
    private setOn;
    private getOn;
    private getTemperature;
    private getOutletInUse;
    private setDeviceState;
    private getDeviceReport;
}
//# sourceMappingURL=myStromSwitchAccessory.d.ts.map