"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PLUGIN_NAME = exports.STATE_UPDATE_INTERVAL = exports.RETRY_TIMEOUT = exports.REQUEST_RETRIES = exports.DINGZ_CALLBACK_PORT = exports.DINGZ_DISCOVERY_PORT = exports.ACCESSORY_NAME = exports.PLATFORM_NAME = void 0;
/**
 * This is the name of the platform that users will use to register the plugin in the Homebridge config.json
 */
exports.PLATFORM_NAME = 'Dingz';
exports.ACCESSORY_NAME = 'Da';
exports.DINGZ_DISCOVERY_PORT = 7979;
exports.DINGZ_CALLBACK_PORT = 18081;
/**
 * Settings for Axios
 */
exports.REQUEST_RETRIES = 7;
exports.RETRY_TIMEOUT = 3; // 3 seconds
exports.STATE_UPDATE_INTERVAL = 5; // 5 seconds
/**
 * This must match the name of your plugin as defined the package.json
 */
exports.PLUGIN_NAME = 'homebridge-dingz';
//# sourceMappingURL=settings.js.map